serial

## Enum FlowControl

- java.lang.Object
- - java.lang.Enum<FlowControl>
  - - serial.FlowControl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<FlowControl>

    public enum FlowControl
    extends java.lang.Enum<FlowControl>

Enumeration defines the possible flowcontrol types for the serial port.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Hardware` Use hardware flow control.
`None` Use none flow control.
`Software` Use software flow control.

### Method Summary

Methods
`static FlowControl` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static FlowControl[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### None

    public static final FlowControl None

Use none flow control. This is the default.

#### Software

    public static final FlowControl Software

Use software flow control.

#### Hardware

    public static final FlowControl Hardware

Use hardware flow control.

### Method Detail

#### values

    public static FlowControl[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FlowControl c : FlowControl.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FlowControl valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null